Bug 27491 - Rename system preference opaclanguages to OPACLanguages
Summary: Rename system preference opaclanguages to OPACLanguages
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Mazen Khallaf
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 10327
  Show dependency treegraph
 
Reported: 2021-01-20 03:58 UTC by Aleisha Amohia
Modified: 2021-06-14 21:35 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27491: Rename system preference opaclanguages to OPACLanguages (15.22 KB, patch)
2021-01-21 22:51 UTC, Mazen Khallaf
Details | Diff | Splinter Review
Bug 27491: Rename system preference opaclanguages to OPACLanguages (15.28 KB, patch)
2021-01-21 22:58 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 27491: Rename system preference opaclanguages to OPACLanguages (15.34 KB, patch)
2021-01-21 23:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27491: Fix t/Languages.t (745 bytes, patch)
2021-01-25 09:52 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2021-01-20 03:58:39 UTC
find all of the places in the code that refer to the 'opaclanguages' system preference and rename them to 'OPACLanguages'
write an atomic update to rename the opaclanguages system preference to OPACLanguages in the preferences table in the database
rename the opaclanguages syspref in sysprefs.sql

refer to bug 10328 for an example
Comment 1 Mazen Khallaf 2021-01-21 22:51:05 UTC
Created attachment 115638 [details] [review]
Bug 27491: Rename system preference opaclanguages to OPACLanguages

Test Plan:

1. Go to Administration
2. Go to System Preferences
3. Find 'opaclanguages' (note the lack of capitalisation)
4. Apply patch
5. Repeat step 1 and 2
6. Find 'OPACLanguages' (note the use of capitalisation)
Comment 2 PTFS Europe Sandboxes 2021-01-21 22:58:28 UTC
Created attachment 115640 [details] [review]
Bug 27491: Rename system preference opaclanguages to OPACLanguages

Test Plan:

1. Go to Administration
2. Go to System Preferences
3. Find 'opaclanguages' (note the lack of capitalisation)
4. Apply patch
5. Repeat step 1 and 2
6. Find 'OPACLanguages' (note the use of capitalisation)

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 3 Katrin Fischer 2021-01-21 23:34:00 UTC
Created attachment 115648 [details] [review]
Bug 27491: Rename system preference opaclanguages to OPACLanguages

Test Plan:

1. Go to Administration
2. Go to System Preferences
3. Find 'opaclanguages' (note the lack of capitalisation)
4. Apply patch
5. Repeat step 1 and 2
6. Find 'OPACLanguages' (note the use of capitalisation)

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-01-22 13:54:59 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 5 Jonathan Druart 2021-01-25 09:52:45 UTC
Created attachment 115740 [details] [review]
Bug 27491: Fix t/Languages.t
Comment 6 Jonathan Druart 2021-01-25 09:53:59 UTC
Follow-up pushed to master for 21.05
Comment 7 Fridolin Somers 2021-01-29 13:33:01 UTC
Enhancement not pushed to 20.11.x